=== debian/changelog ===
ocaml-deriving-ocsigen (0.3b-1) unstable; urgency=low

  * New upstream release
    - remove all patches

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Nov 2011 21:01:09 +0100

ocaml-deriving-ocsigen (0.2-1) unstable; urgency=low

  * New upstream release, taken from the Ocsigen project
    - update Homepage and debian/watch accordingly
    - rename packages to reflect the new origin
  * debian/control:
    - add myself to Uploaders, remove Sylvain
    - bump Standards-Version to 3.9.2
  * Update debian/copyright to a more recent specification
  * Thanks to Pierre Chambart and Benjamin Jacobs for their contributions

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 20:21:23 +0100

ocaml-deriving (0.1.1a-3) unstable; urgency=low

  * Team upload
  * Switch patches to dom-{apply,save}-patches scheme
  * Cherry-pick fixes for 3.12.0 from upstream (fixes FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 16:04:24 +0200

ocaml-deriving (0.1.1a-2) unstable; urgency=low

  * Add Source field to debian/copyright

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 18 Feb 2011 00:47:42 +0100

ocaml-deriving (0.1.1a-1) unstable; urgency=low

  * Initial release. (Closes: #605682)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 07 Dec 2010 22:21:04 +0100
