=== debian/control ===
Source: ocaml-deriving-ocsigen
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Stéphane Glondu <glondu@debian.org>
Build-Depends:
  ocaml-nox (>= 3.12~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  libtype-conv-camlp4-dev (>= 2.3.0~),
  camlp4-extra
Standards-Version: 3.9.2
Homepage: https://github.com/hnrgrgr/deriving
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git

Package: libderiving-ocsigen-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: deriving functions from type declarations in OCaml (devt files)
 Camlp4 extension to OCaml for deriving functions from type declarations.
 Includes derivers for pretty-printing, type-safe marshalling with
 structure-sharing, dynamic typing, equality, and more.
 .
 This is the version maintained by the Ocsigen project.

Package: libderiving-ocsigen-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: deriving functions from type declarations in OCaml (runtime)
 Camlp4 extension to OCaml for deriving functions from type declarations.
 Includes derivers for pretty-printing, type-safe marshalling with
 structure-sharing, dynamic typing, equality, and more.
 .
 This is the version maintained by the Ocsigen project.
 .
 This package contains the shared runtime libraries.
