=== syntax/Makefile ===
--- 
+++ 
@@ -163,4 +163,6 @@
 defs.ml: defs.mli
 	ln -s defs.mli defs.ml
 
+ifneq (${DEPEND},no)
 include .depend
+endif
