=== debian/changelog ===
ocaml-deriving-ocsigen (0.3c-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 13:44:51 +0100
