=== lib/Makefile ===
--- 
+++ 
@@ -74,4 +74,6 @@
 .%.mli.deps: %.mli
 	${OCAMLDEP} ${PP} $^ > $@
 
+ifneq (${DEPEND},no)
 include .depend
+endif
