=== tests/Makefile ===
--- 
+++ 
@@ -1,14 +1,18 @@
 include ../Makefile.config
+
+OCAMLPATH := ../files:${OCAMLPATH}
+export OCAMLPATH
 
 OCAMLC     := ${OCAMLFIND} ocamlc
 OCAMLOPT   := ${OCAMLFIND} ocamlopt
 OCAMLDEP   := ${OCAMLFIND} ocamldep
-PP         := -package camlp4 -ppopt ../syntax/pa_deriving.cma -syntax camlp4o
+PP         := -package ${PROJECTNAME},${PROJECTNAME}.syntax,optcomp -syntax camlp4o
+PPTC       := -package ${PROJECTNAME},${PROJECTNAME}.syntax_tc,optcomp -syntax camlp4o
 LIBS       := -I ../lib -package num
 
 OCAMLFLAGS   = -w Aef
 
-SOURCES = defs.ml               \
+SOURCES = tests_defs.ml         \
           bimap.ml	        \
           sigs.ml               \
           pickle_tests.ml       \
@@ -21,6 +25,12 @@
 	  show_tests.ml         \
           exp.ml                \
           inline.ml             \
+
+ifneq (${TYPECONV},)
+
+SOURCES += tc.ml                 \
+
+endif
 
 ##
 
@@ -36,6 +46,11 @@
 %.cmx: %.ml
 	${OCAMLOPT} ${OCAMLFLAGS} ${PP} ${LIBS} -c $<
 
+tc.cmo: tc.ml
+	${OCAMLC} ${OCAMLFLAGS} ${PPTC} ${LIBS} -c $<
+tc.cmx: tc.ml
+	${OCAMLOPT} ${OCAMLFLAGS} ${PPTC} ${LIBS} -c $<
+
 # Clean up
 clean:
 	-rm -f *.cm[ioax] *.cmxa *.cmxs *${OBJEXT} *${LIBEXT} *.annot
