=== debian/changelog ===
ocaml-deriving-ocsigen (0.5-1) unstable; urgency=medium

  * New upstream release
  * Add liboptcomp-camlp4-dev to Build-Depends
  * Update Vcs-*
  * Use format 1.0 for debian/copyright
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2014 18:03:25 +0100

ocaml-deriving-ocsigen (0.3c-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 22:18:38 +0100

ocaml-deriving-ocsigen (0.3c-2) experimental; urgency=low

  * debian/patches:
    + Compatibility with type-conv >= 108
  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 12:24:43 +0100
