=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders:
   Stéphane Glondu <glondu@debian.org>
 Build-Depends:
-  ocaml-nox (>= 3.12~),
-  ocaml-findlib,
+  ocaml-nox (>= 4.01),
+  ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
-  libtype-conv-camlp4-dev (>= 2.3.0~),
-  camlp4-extra
-Standards-Version: 3.9.2
+  debhelper (>= 9),
+  libtype-conv-camlp4-dev (>= 108),
+  liboptcomp-camlp4-dev,
+  camlp4-extra (>= 4.01)
+Standards-Version: 3.9.5
 Homepage: https://github.com/hnrgrgr/deriving
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 
 Package: libderiving-ocsigen-ocaml-dev
 Architecture: any
