=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
