=== debian/watch ===
version=3
http://ocsigen.org/download/ deriving-ocsigen-(.*)\.tar\.gz
