=== debian/changelog ===
ocaml-deriving-ocsigen (0.6.2-1) unstable; urgency=medium

  * New upstream release
    - use the "deriving" name, add libderiving-ocaml* to Conflicts
    - update upstream URL

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Jun 2014 15:13:55 +0200
