=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
   debhelper (>= 9),
   libtype-conv-camlp4-dev (>= 108),
   liboptcomp-camlp4-dev,
+  oasis (>= 0.4),
   camlp4-extra (>= 4.01)
 Standards-Version: 3.9.5
-Homepage: https://github.com/hnrgrgr/deriving
+Homepage: https://github.com/ocsigen/deriving
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 
@@ -23,6 +24,7 @@
  ${shlibs:Depends},
  ${ocaml:Depends},
  ${misc:Depends}
+Conflicts: libderiving-ocaml, libderiving-ocaml-dev
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: deriving functions from type declarations in OCaml (devt files)
@@ -38,6 +40,7 @@
  ${shlibs:Depends},
  ${ocaml:Depends},
  ${misc:Depends}
+Conflicts: libderiving-ocaml, libderiving-ocaml-dev
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: deriving functions from type declarations in OCaml (runtime)
