## ocaml-deriving-ocsigen 0.7

=== debian/changelog ===
ocaml-deriving-ocsigen (0.7-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 09:22:23 -0600

ocaml-deriving-ocsigen (0.7-2) unstable; urgency=medium

  * Fix FTBFS due to oasis 0.4.5 installing new files

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2015 20:24:08 +0200

ocaml-deriving-ocsigen (0.7-1) unstable; urgency=medium

  * New upstream release
  * Drop versioned Build-Depends to camlp4-extra
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2015 11:20:16 +0200
