=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
   debhelper (>= 9),
   libtype-conv-camlp4-dev (>= 108),
   liboptcomp-camlp4-dev,
-  oasis (>= 0.4),
-  camlp4-extra (>= 4.01)
-Standards-Version: 3.9.5
+  oasis (>= 0.4.5),
+  camlp4-extra
+Standards-Version: 3.9.6
 Homepage: https://github.com/ocsigen/deriving
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
