=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-deriving-ocsigen
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
   Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -13,10 +14,10 @@
   liboptcomp-camlp4-dev,
   oasis (>= 0.4.5),
   camlp4-extra
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/ocsigen/deriving
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 
 Package: libderiving-ocsigen-ocaml-dev
 Architecture: any
