=== debian/watch ===
version=3
https://github.com/ocsigen/deriving/releases .*/archive/([0-9.]*)\.tar\.gz
